export interface BaseProps {
    id: string;
    lastUpdatedDate: Date;
}
export declare abstract class Entity<T extends BaseProps> {
    constructor({ id, lastUpdatedDate }: T);
    private readonly _id;
    private _lastUpdatedDate;
    get id(): string;
    get lastUpdatedDate(): Date;
    set lastUpdatedDate(lastUpdatedDate: Date);
    abstract toObject(): unknown;
}
